Summary: Dynamic Host Control Protocol Server and Clients.
Name: dhcp
%define	version	3.0-alpha-19990424
Version: %{version}
Release: 1
Copyright: distributable
Group: Networking/Daemons
Vendor: ISC
Packager: jeremy@pobox.com
Source0: ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source2: dhcpd.init
Patch0: site.diff
Patch1: dhcpd-leasedb-location.patch
BuildRoot: /var/tmp/dhcpd-root
Obsoletes: dhcpd

%description
This is the third release of the dhcp package from the Internet Software
Consortium. It provides a server and a relay agent. It's also still
in the alpha stage.

#%package client
#Summary: DHCP client
#Group: Networking/Daemons
#Obsoletes: dhcpcd

#%description client
#This is the third reload of the dhcppackage from the Internet Software
#Consortium. It provides a client. This is still considered alpha
#software.

%prep
%setup -q 
%patch0 
%patch1 -p0

%build
./configure
make CC="gcc -pipe" DEBUG="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/var/dhcpd
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/sbin

RPM_BUILD_ROOT=${RPM_BUILD_ROOT} make install BINDIR=$RPM_BUILD_ROOT/usr/sbin \
        CLIENTBINDIR=$RPM_BUILD_ROOT/sbin 

install -m 0755 $RPM_SOURCE_DIR/dhcpd.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/dhcpd

# the dhcp Makefiles are too stupid to even install man pages properly
rm -rf $RPM_BUILD_ROOT/usr/man
find . -name "*.[58]" | while read file; do
    ext=`echo $file | sed 's/.*\.//'`
    echo $file - $ext
    mkdir -p $RPM_BUILD_ROOT/usr/man/man$ext
    install -m 644 $file $RPM_BUILD_ROOT/usr/man/man$ext
done

%post
/sbin/chkconfig --add dhcpd

%postun
if [ $1 = 0 ]; then
    # execute this only if we are NOT doing an upgrade
    /sbin/chkconfig --del dhcpd 
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README RELNOTES doc/*
%dir /var/dhcpd
/etc/rc.d/init.d/dhcpd
/usr/sbin/dhcpd
/usr/sbin/dhcrelay
/usr/man/man5/dhcpd.conf.5
/usr/man/man5/dhcpd.leases.5
/usr/man/man5/dhcp-options.5
/usr/man/man8/dhcpd.8
/usr/man/man8/dhcrelay.8

#%files client
#%defattr(-,root,root)
#%doc CHANGES README RELNOTES doc/*
#%dir /var/dhcpd
#/etc/dhclient-script
#/sbin/dhclient
#/usr/man/man5/dhclient.conf.5
#/usr/man/man5/dhclient.leases.5
#/usr/man/man8/dhclient.8
#/usr/man/man8/dhclient-script.8

%changelog
* Thu Apr 26 1999 Jeremy Fischer <jeremy@kiva.net>
- new build for alpha v.19990424

* Thu Apr 16 1999 Jeremy Fischer <jeremy@kiva.net>
- changed VARDB to /var/dhcpd

* Thu Apr 15 1999 Jeremy Fischer <jeremy@kiva.net>
- first package for ISC's DHCP v3.0

